<head>
  <title>ERP - Code Tecnologia</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">    
</head>
<body>

<?php
	ini_set('max_execution_time', 0);
	set_time_limit(30);

	error_reporting(1);
	
	$numeroSessao = rand(0, 9999);
    // $cd_ativacao = "99999999";
	$cd_ativacao = "c0d3S4t1";
	//$cd_ativacao = "12345678";
 
	// $ex = new COM("CodeSatFramework.ClassCONN") or Die ("NÃO FOI POSSÍVEL INICIAR O OBJECTO");
	try{
		$ex = new COM("CodeSatFramework.ClassCONN"); // , NULL, CP_UTF8) or Die ("NÃO FOI POSSÍVEL INICIAR O OBJECTO");
	
		// $ex->rastreiaLog = true;

			$reposta = @$ex->GetConsultarSAT($numeroSessao);
			// $reposta = $ex->GetConsultarStatusOperacional($numeroSessao, $cd_ativacao);
			// $reposta = $ex->SetExtrairLogs($numeroSessao, $cd_ativacao);
			
			$reposta = preg_replace("/[\n\r\t]/","",$reposta);
			
			$ex = null; 
			unset($ex);
			
			 echo "<pre>";
			 print_r($reposta);
			 echo "</pre>";
			 
			 exit;
				
	}	
	catch(Exception $e) {
        $msg   = $e->getMessage();
        echo "<br>$msg";
      }
	 
	 /*
	 while($return==""){

		$return = $ex->requestMensagem;
		$dh_now = date('h:i:s') . "\n";
	 
	    $myfile = fopen("$dh_now_reply_sat_local_$numeroSessao.txt", "w+") or die("Unable to open file!");
		//header( 'Content-type: text/xml' ); preg_replace("/(\t+)/", "", $r_xml)
		fwrite($myfile, $return);
		fclose($myfile);
	 }
	 */
	 
	 // $return = $ex->GetConsultarStatusOperacional(1234, "c0d3S4t1");
	 // $return = $ex->SetEnviarDadosVenda($numeroSessao, $codigoDeAtivacao, $dadosVenda);
	 // $return = $ex->SetExtrairLogs(1234, "c0d3S4t1");


?>
</body>
